<template>
  <div>
    <p>Hello {{name}}, length: {{nameLength}}</p>
    <button @click="changeName()">Change</button>
    <p v-if="name === 'Pierre'">Long Time no see...</p>
  </div>
</template>

<script>
export default {
  data() {
    return {
      name: "Jean"
    };
  },
  computed: {
      nameLength() {
          return this.name.length;
      }
  },
  methods: {
      changeName() {
          this.name = "Pierre";
      }
  }
};
</script>

<style>
</style>